% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/package_docs.R
\docType{package}
\name{SIAMCAT-package}
\alias{SIAMCAT}
\alias{SIAMCAT-package}
\title{SIAMCAT: Statistical Inference of Associations between Microbial Communities And host phenoTypes}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Pipeline for Statistical Inference of Associations between Microbial Communities And host phenoTypes (SIAMCAT). A primary goal of analyzing microbiome data is to determine changes in community composition that are associated with environmental factors. In particular, linking human microbiome composition to host phenotypes such as diseases has become an area of intense research. For this, robust statistical modeling and biomarker extraction toolkits are crucially needed. SIAMCAT provides a full pipeline supporting data preprocessing, statistical association testing, statistical modeling (LASSO logistic regression) including tools for evaluation and interpretation of these models (such as cross validation, parameter selection, ROC analysis and diagnostic model plots).
}
\details{
SIAMCAT is a pipeline for Statistical Inference of Associations between
Microbial Communities And host phenoTypes. A primary goal of analyzing
microbiome data is to determine changes in community composition that are
associated with environmental factors. In particular, linking human
microbiome composition to host phenotypes such as diseases has become an area
of intense research. For this, robust statistical modeling and biomarker
extraction toolkits are crucially needed!
}
\author{
\strong{Maintainer}: Jakob Wirbel \email{jakob.wirbel@embl.de} (\href{https://orcid.org/0000-0002-4073-3562}{ORCID})

Authors:
\itemize{
  \item Konrad Zych \email{konrad.zych@embl.de} (\href{https://orcid.org/0000-0001-7426-0516}{ORCID})
  \item Georg Zeller \email{zeller@embl.de} (\href{https://orcid.org/0000-0003-1429-7485}{ORCID})
}

Other contributors:
\itemize{
  \item Morgan Essex \email{morgan.essex@embl.de} [contributor]
  \item Nicolai Karcher [contributor]
  \item Kersten Breuer [contributor]
}

}
